#ifndef PERFORM_H
#define PERFORM_H 1

#include "gotypes.h"

#define EVAL_SEGMENTS 256

typedef struct {
	word32 start_addr;
	word32 stop_addr;
	word32 hits_count;
} EVAL_SEG_INFO;

typedef EVAL_SEG_INFO EVAL_DATA_TABLE[EVAL_SEGMENTS];

extern EVAL_DATA_TABLE evaluation_data;
extern word32 total_hits_count;
extern int  total_segments;
extern int  timer_is_set;
extern int  evaluation_is_running;

extern int  set_timer (void);
extern void reset_timer (void);
extern void start_evaluate (void);
extern void stop_evaluate (void);
extern void init_eval_data (word32 start_addr, word32 stop_addr);

#endif
